summaryrefslogtreecommitdiff
path: root/dev-ml
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-09-08 10:34:12 +0200
committerAlexis Ballier <aballier@gentoo.org>2016-09-08 16:56:52 +0200
commit6d63621e39d1c1fe9a7f1e8468b72c6a8a28576c (patch)
tree1050e22626cd96ba6e78669bbf45df787a832af2 /dev-ml
parentdev-ml/ocaml-ctypes: bump to 0.9.1 (diff)
downloadgentoo-6d63621e39d1c1fe9a7f1e8468b72c6a8a28576c.tar.gz
gentoo-6d63621e39d1c1fe9a7f1e8468b72c6a8a28576c.tar.bz2
gentoo-6d63621e39d1c1fe9a7f1e8468b72c6a8a28576c.zip
dev-ml/ppx_type_conv: bump to 113.33.02
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-ml')
-rw-r--r--dev-ml/ppx_type_conv/Manifest1
-rw-r--r--dev-ml/ppx_type_conv/ppx_type_conv-113.33.02.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-ml/ppx_type_conv/Manifest b/dev-ml/ppx_type_conv/Manifest
index d741fa6e3b4..f247f91862c 100644
--- a/dev-ml/ppx_type_conv/Manifest
+++ b/dev-ml/ppx_type_conv/Manifest
@@ -1,2 +1,3 @@
DIST ppx_type_conv-113.24.00.tar.gz 59641 SHA256 0751505c5d400416d5abc2525d164264ea82b8569ce819aec04065bf47ce2c42 SHA512 7fd809c35e5f009886dcaa310822eb919efecba155c8cd1377c50a05894c2c9afcf88a979361bb2a277791b6cd5b7d17e2a30fda36bd3d416a046a0b34989b57 WHIRLPOOL c22d424260b0f0fb1337da41de4beff1f90fcaca5590c7b0620f633ab1a296690f76df428d96dabece3fc8267704f1f34cf721bb5f3ca562d75098b3133d4701
DIST ppx_type_conv-113.33.00.tar.gz 59371 SHA256 983e704c9e3579ad2dc93b8017c7c3852160c6245eb85ef98d6eb1723724921f SHA512 4da9e3252522865f2a4976810b33ecaf0275e3a19f40193466a5ddce7163727ff0c0e02fbabf93a3133bde231597b1fd4fba4ff4d813d49ab1858e9243b228f8 WHIRLPOOL c02ce8f8d401d527803b02a72b301ac5992fba1444ee4d8dec50b71785078213d5dc1d2c8bb7d68ee9779997cf5ba5b39c78ae97d3f66f482ea50f5690502b6b
+DIST ppx_type_conv-113.33.02+4.03.tar.gz 60598 SHA256 a211cc73cc3f31b6765b022bb851d762d9f6fa4c6b64666242923d5102d4f078 SHA512 305a46b9bf6ed6b082f5b794d180b9b194ed5f183d75e31fe49a392fa06c8cdfce1825987f9da0080bf83c49bf10dfd54837b22d73e50bc4eea8707bb64b7303 WHIRLPOOL 760ef375523410a8a1333bb5274a55efa8b27cd412a185fd65d6128a5f9ce5cb97d9d3703165cddf71b9f6c0d7c6a57baed6539bc22b8d689d19a8b1f54231d6
diff --git a/dev-ml/ppx_type_conv/ppx_type_conv-113.33.02.ebuild b/dev-ml/ppx_type_conv/ppx_type_conv-113.33.02.ebuild
new file mode 100644
index 00000000000..cde7e86f58a
--- /dev/null
+++ b/dev-ml/ppx_type_conv/ppx_type_conv-113.33.02.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit oasis eutils
+
+DESCRIPTION="Support Library for type-driven code generators"
+HOMEPAGE="http://www.janestreet.com/ocaml"
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}+4.03.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-ml/ppx_tools:=
+ dev-ml/ppx_driver:=
+ dev-ml/ppx_deriving:=
+ dev-ml/ppx_core:=
+ dev-ml/ppx_optcomp:=
+ >=dev-lang/ocaml-4.03:=
+"
+
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND} dev-ml/opam"
+
+S=${WORKDIR}/${P}+4.03
+
+src_configure() {
+ emake setup.exe
+ OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ ${PN}.install || die
+ dodoc CHANGES.md
+}